Developer Documentation

Public Slots | Signals | Public Member Functions | Private Slots | Private Attributes | List of all members
SplatCloudRenderingControlPlugin Class Reference
Inheritance diagram for SplatCloudRenderingControlPlugin:

## Public Slots
QString | version ()

## Signals
void | updatedObject (int _objectId, const UpdateType &_type)
void | addToolbox (QString _name, QWidget *_widget, QIcon *_icon)
void | addContextMenuItem (QAction *_action, DataType _objectType, ContextMenuType _type)
void | defineViewModeToolboxes (QString _mode, QStringList _usedWidgets)
void | defineViewModeToolbars (QString _mode, QStringList _usedToolbars)
void | defineViewModeContextMenus (QString _mode, QStringList _usedContextMenus)
void | defineViewModeIcon (QString _mode, QString _iconName)
void | log (QString _message)
void | log (Logtype _type, QString _message)
Signals inherited from BaseInterface
virtual void | updateView ()
| Update current view in Main Application. More...
virtual void | setSlotDescription (QString _slotName, QString _slotDescription, QStringList _parameters, QStringList _descriptions)
| Set a description for a public slot. More...
virtual void | setRenderer (unsigned int _viewer, QString _rendererName)
| Set a renderer for the given viewer. More...
Signals inherited from LoadSaveInterface
virtual void | save (int _id, QString _filename)
| Save object to a file. More...
virtual void | load (QString _filename, DataType _type, int &_id)
| Load object from file with a specific DataType. More...
Signals inherited from ToolboxInterface
virtual void | addToolbox (QString _name, QWidget *_widget)
| Add a toolbox widget to the gui with the given name. More...
Signals inherited from ContextMenuInterface
virtual void | addContextMenuItem (QAction *_action, ContextMenuType _type)
| Add an entry for a context Menu. More...
Signals inherited from ViewModeInterface
virtual void | defineViewModeToolboxes (QString _mode, QStringList _usedWidgets)
| Defines a ViewMode for the Toolboxes. More...
Signals inherited from LoggingInterface
virtual void | log (Logtype _type, QString _message)=0
virtual void | log (QString _message)=0

## Public Member Functions
QString | name ()
| Return a name for the plugin. More...
QString | description ()
| Return a description of what the plugin is doing. More...

## Private Slots
void | initializePlugin ()
void | addedEmptyObject (int _objectId)
void | slotUpdateContextMenu (int _objectId)
void | slotToolboxPointsizeScaleValueChanged ()
void | slotToolboxDefaultColorValueChanged ()
void | slotToolboxDefaultNormalValueChanged ()
void | slotToolboxDefaultPointsizeValueChanged ()
void | slotToolboxEnableBackfaceCullingButtonClicked ()
void | slotToolboxDisableBackfaceCullingButtonClicked ()
void | slotToolboxReloadShadersButtonClicked ()
void | slotToolboxRebuildVBOsButtonClicked ()
void | slotToolboxPointSizeButtonClicked ()
void | slotToolboxGeometryShaderButtonClicked ()
void | slotContextScaleActionTriggered ()
void | slotContextCullingActionTriggered ()
void | slotContextReloadShadersActionTriggered ()
void | slotContextRebuildVBOActionTriggered ()
void | slotContextDefaultsActionTriggered ()
void | slotContextScaleWidgetPointsizeScaleValueChanged ()
void | slotContextDefaultsWidgetDefaultColorValueChanged ()
void | slotContextDefaultsWidgetDefaultNormalValueChanged ()
void | slotContextDefaultsWidgetDefaultPointsizeValueChanged ()
Private Slots inherited from BaseInterface
virtual void | exit ()
virtual QString | version ()
| Return a version string for your plugin. More...

## Private Attributes
QDoubleSpinBox * | toolboxPointsizeScale_
QSpinBox * | toolboxDefaultColorR_
QSpinBox * | toolboxDefaultColorG_
QSpinBox * | toolboxDefaultColorB_
QDoubleSpinBox * | toolboxDefaultNormalX_
QDoubleSpinBox * | toolboxDefaultNormalY_
QDoubleSpinBox * | toolboxDefaultNormalZ_
QDoubleSpinBox * | toolboxDefaultPointsize_
QAction * | contextScaleAction_
QAction * | contextCullingAction_
QAction * | contextDefaultsAction_
QAction * | contextReloadShadersAction_
QAction * | contextRebuildVBOAction_
QWidget * | contextScaleWidget_
QDoubleSpinBox * | contextScaleWidgetPointsizeScale_
QWidget * | contextDefaultsWidget_
QSpinBox * | contextDefaultsWidgetDefaultColorR_
QSpinBox * | contextDefaultsWidgetDefaultColorG_
QSpinBox * | contextDefaultsWidgetDefaultColorB_
QDoubleSpinBox * | contextDefaultsWidgetDefaultNormalX_
QDoubleSpinBox * | contextDefaultsWidgetDefaultNormalY_
QDoubleSpinBox * | contextDefaultsWidgetDefaultNormalZ_
QDoubleSpinBox * | contextDefaultsWidgetDefaultPointsize_

## Additional Inherited Members
Private Member Functions inherited from BaseInterface
virtual void | noguiSupported ()
virtual | ~BaseInterface ()
| Destructor.
virtual void | blockScenegraphUpdates (bool _block)
| Tell the core to prevent scenegraph updates. More...
virtual void | updatedObject (int _objectId)
| An object has been changed or added by this plugin. More...
virtual void | updatedObject (int _identifier, const UpdateType &_type)
| An object has been changed or added by this plugin. More...
virtual void | nodeVisibilityChanged (int _identifier)
| A scenegraph node has been shown or hidden. More...
virtual void | getCurrentRenderer (unsigned int _viewer, QString &_rendererName)
| Get the current renderer for the given viewer. More...
Private Member Functions inherited from LoadSaveInterface
virtual | ~LoadSaveInterface ()
| Destructor.
virtual void | addEmptyObject (DataType _type, int &_id)
virtual void | copyObject (int _oldId, int &_newId)
virtual void | emptyObjectAdded (int _id)
| DEPRECATED HERE (Moved to Type Interface)! Emit this signal if an empty object has been created. More...
virtual void | deleteObject (int _id)
| Delete an object This signal can be called from any thread. . More...
virtual void | deleteAllObjects ()
| Delete all Objects. More...
virtual void | getAllFileFilters (QStringList &_filters)
| Get all file filters that are registered. More...
Private Member Functions inherited from ToolboxInterface
virtual | ~ToolboxInterface ()
| Destructor.
virtual void | addToolbox (QString _name, QWidget *_widget, QIcon *_icon)
| Add a toolbox widget to the gui with the given name and an icon. More...
virtual void | addToolbox (QString _name, QWidget *_widget, QIcon *_icon, QWidget *_headerAreaWidget)
| Add a toolbox widget to the gui with the given name, icon and header area widget. More...
Private Member Functions inherited from ContextMenuInterface
virtual | ~ContextMenuInterface ()
| Destructor.
virtual void | addContextMenuItem (QAction *_action, DataType _objectType, ContextMenuType _type)
| Add an entry for a context Menu. More...
virtual void | hideContextMenu ()
| hide the main context menu
Private Member Functions inherited from ViewModeInterface
virtual | ~ViewModeInterface ()
| Destructor.
virtual void | defineViewModeToolbars (QString _mode, QStringList _usedToolbars)
| Defines a ViewMode for the Toolbars. More...
virtual void | defineViewModeContextMenus (QString _mode, QStringList _usedContextMenus)
| Defines a ViewMode for the context menus. More...
virtual void | defineViewModeIcon (QString _mode, QString _iconName)
| Defines an Icon for a ViewMode. More...
virtual void | setViewMode (QString _mode, bool _expandAll=false)
| Set a ViewMode. More...
Private Member Functions inherited from LoggingInterface
virtual | ~LoggingInterface ()
| Destructor.

## Detailed Description

Definition at line 78 of file SplatCloudRenderingControlPlugin.hh.

## Member Function Documentation

## ◆ description()

QString SplatCloudRenderingControlPlugin::description | ( |  | ) |
| inline virtual

Return a description of what the plugin is doing.

This function has to return a basic description of the plugin

Implements BaseInterface.

Definition at line 117 of file SplatCloudRenderingControlPlugin.hh.

## ◆ name()

QString SplatCloudRenderingControlPlugin::name | ( |  | ) |
| inline virtual

Return a name for the plugin.

This Function has to return the name of the plugin.

Implements BaseInterface.

Definition at line 116 of file SplatCloudRenderingControlPlugin.hh.

The documentation for this class was generated from the following files:

- Plugin-SplatCloudRenderingControl/SplatCloudRenderingControlPlugin.hh
- Plugin-SplatCloudRenderingControl/SplatCloudRenderingControlPlugin.cc